This is an extension and not part of the main GoJS library. Note that the API for this class may change at any time. If you intend to use an extension in production, you should copy the code to your own source directory. Extensions can be found in the GoJS kit under the `extensions` or `extensionsTS` folders. See the Extensions intro page for more information.

### Hierarchy

- GraphObject
  - Panel
    - Part
      - Link
        - FishboneLink

Custom Link class for FishboneLayout.

## Index

### Methods

- computeAdjusting
- computePoints

## Methods

### Override computeAdjusting

- computeAdjusting(): EnumValue

- #### Returns EnumValue

### Override computePoints

- computePoints(): boolean

- Determines the points for this link based on spots and maintains horizontal lines.

  #### Returns boolean

Copyright © 1998-2020 by Northwoods Software Corporation.